# Class BarStyleFactory

java.lang.Object
uk.ac.starlink.ttools.plottask.StyleFactory
uk.ac.starlink.ttools.plottask.BarStyleFactory

public class BarStyleFactory extends StyleFactory
StyleFactory for BarStyle objects suitable for use with a histogram.

Since:
  14 Aug 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BarStyleFactory(String prefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters(String stSuffix)`
Returns the parameters used by this factory.
`Style`
`getStyle(uk.ac.starlink.task.Environment env, String stSuffix)`
Obtains a Style object from the environment by examining parameters.

### Methods inherited from class StyleFactory

`getStyleIndex, paramName`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarStyleFactory

public BarStyleFactory(String prefix)
Constructor.

Parameters:
  `prefix` - prefix to be prepended to all parameters used by this factory

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters(String stSuffix)
Description copied from class: `StyleFactory`
Returns the parameters used by this factory.

Specified by:
  `getParameters` in class `StyleFactory`
Parameters:
  `stSuffix` - label identifying the data set for which the style will be required

### getStyle

public Style getStyle(uk.ac.starlink.task.Environment env, String stSuffix) throws uk.ac.starlink.task.TaskException
Description copied from class: `StyleFactory`
Obtains a Style object from the environment by examining parameters.

Specified by:
  `getStyle` in class `StyleFactory`
Parameters:
  `env` - execution environment
  `stSuffix` - label identifying the data set for which the style is required
Returns:
  plotting style
Throws:
  `uk.ac.starlink.task.TaskException`